Context

Upload a file as a Context source (on_conflict: keep_both | replace | skip)

POST
/v1/context/upload

Authorization

bearerAuth
AuthorizationBearer <token>

A personal API key (psk_…) or an OAuth access token (plan_at_…). Scopes: read, write.

In: header

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/context/upload" \  -F file="string"
{  "source": {    "id": "string",    "scope": "TEAM",    "kind": "string",    "sourceKind": "PASTED",    "title": "string",    "description": "string",    "tokenCount": 0,    "folderPath": "string",    "hasFile": true,    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "degraded": true,    "skipped": true,    "replaced": true,    "keptBothAs": "string"  }}